import typescript from 'rollup-plugin-typescript2'
import json from '@rollup/plugin-json';
import commonjs from '@rollup/plugin-commonjs';
import {nodeResolve} from '@rollup/plugin-node-resolve';
import { babel } from '@rollup/plugin-babel';

export default [
    {
        input: 'src/index.ts',
        output: {
            file: 'dist/index.mjs',
            format: 'esm'
        },
        plugins: [
            typescript()
        ]
    },
    /**
     * umd 版本兼容es5
     */
    {
        input: 'src/index.ts',
        output: {
            file: 'dist/index.umd.js',
            name: 'YDLToolKit',
            format: 'umd'
        },
        plugins: [
            typescript(),
            nodeResolve({
                dedupe: ['mathjs']
            }),
            commonjs(),
            json(),
            babel()
        ]
    }
]